Subject: Re: [PATCH net-next 0/5] selftests: hw-net: toeplitz: read config from the NIC directly

From: [email-masked]
Date: Tue, 25 Nov 2025 03:10:19 +0000

Hello:

This series was applied to netdev/net-next.git (main)
by Jakub Kicinski <[email-masked]>:

On Thu, 20 Nov 2025 20:02:54 -0800 you wrote:
> First patch here tries to auto-disable building the iouring sample.
> Our CI will still run the iouring test(s), of course, but it looks
> like the liburing updates aren't very quick in distroes and having
> to hack around it when developing unrelated tests is a bit annoying.
> 
> Remaining 4 patches iron out running the Toeplitz hash test against
> real NICs. I tested mlx5, bnxt and fbnic, they all pass now.
> I switched to using YNL directly in the C code, can't see a reason
> to get the info in Python and pass it to C via argv. The old code
> likely did this because it predates YNL.
> 
> [...]

Here is the summary with links:
  - [net-next,1/5] selftests: hw-net: auto-disable building the iouring C code
    https://git.kernel.org/netdev/net-next/c/f81171fecd0c
  - [net-next,2/5] selftests: hw-net: toeplitz: make sure NICs have pure Toeplitz configured
    https://git.kernel.org/netdev/net-next/c/27c512af190e
  - [net-next,3/5] selftests: hw-net: toeplitz: read the RSS key directly from C
    https://git.kernel.org/netdev/net-next/c/aa91dbf3eda2
  - [net-next,4/5] selftests: hw-net: toeplitz: read indirection table from the device
    https://git.kernel.org/netdev/net-next/c/c0105ffc5056
  - [net-next,5/5] selftests: hw-net: toeplitz: give the test up to 4 seconds
    https://git.kernel.org/netdev/net-next/c/5aadc155849e

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html